%define real_name muinescrobbler

Name:           muine-scrobbler
Version:        0.1.8
Release:        7%{?dist}
Summary:        Audioscrobbler plugin for Muine

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://home.gna.org/muinescrobbler/
Source0:        http://download.gna.org/muinescrobbler/%{real_name}-%{version}.tar.gz
Patch0:         %{real_name}-0.1.8-no-generics.diff
Patch1:         %{real_name}-fixcompile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch:  i386 x86_64

BuildRequires:  mono-devel, muine-devel >= 0.8.8-8
BuildRequires:  gtk-sharp2-devel, gnome-sharp-devel

%description
Muine-scrobbler is a plugin to connect to last.fm/audioscrobbler 
from the Muine music player.

Last.fm (www.last.fm) is a service for tracking your listening habits 
and suggesting new music you might like.

%prep
%setup -qn %{real_name}
%patch0 -p1 
%patch1 -p1 -b .fixcompile

%build
make


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/muine/plugins
install -m 0644 $RPM_BUILD_DIR/%{real_name}/*.dll $RPM_BUILD_ROOT%{_libdir}/muine/plugins/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog
%{_libdir}/muine/plugins/*



%changelog
* Wed Sep 17 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.1.8-7
- fix compile (not sure how well this works, but it builds now)

* Wed Jun 04 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.1.8-6
- rebuild for dependancies

* Thu Feb 28 2008 Sindre Pedersen Bjørdal <foolish@guezz.net> - 0.1.8-5
- Rebuild against new muine

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.1.8-3
- Autorebuild for GCC 4.3

* Mon Jun 04 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.1.8-2
- Add ExclusiveArch i386
* Thu Mar 08 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.1.8-1
- initial build
